Bug 220009 - pata_mpc52xx.ko missing from installer modules.cgz
Summary: pata_mpc52xx.ko missing from installer modules.cgz
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-18 12:21 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 14:53:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Woodhouse 2006-12-18 12:21:55 UTC
The PATA driver for the Freescale MPC52xx is missing; the installer cannot see
the hard drive on my Efika. In fact, _all_ the PATA drivers seem to be missing.

pata_mpc52xx is new in kernels >= 2.6.19-1.2881.fc7

Comment 1 David Cantrell 2006-12-18 16:18:38 UTC
Fixed in anaconda devel CVS.  Will be in the next build.  Thanks.

Comment 2 David Woodhouse 2006-12-18 16:42:56 UTC
Thanks. Don't we need to add all the other new pata_*.ko modules too, though?
At least these, and maybe some more will turn up on i386 or x86_64...

pata_ali.ko
pata_amd.ko
pata_artop.ko
pata_atiixp.ko
pata_cmd64x.ko
pata_cs5520.ko
pata_cs5530.ko
pata_cypress.ko
pata_efar.ko
pata_hpt366.ko
pata_hpt37x.ko
pata_hpt3x2n.ko
pata_hpt3x3.ko
pata_isapnp.ko
pata_it821x.ko
pata_jmicron.ko
pata_marvell.ko
pata_mpc52xx.ko
pata_mpiix.ko
pata_netcell.ko
pata_ns87410.ko
pata_oldpiix.ko
pata_optidma.ko
pata_opti.ko
pata_pcmcia.ko
pata_pdc2027x.ko
pata_pdc202xx_old.ko
pata_qdi.ko
pata_serverworks.ko
pata_sil680.ko
pata_sis.ko
pata_sl82c105.ko
pata_triflex.ko
pata_via.ko


Comment 3 David Cantrell 2006-12-18 17:04:04 UTC
Yeah, I suppose so.  I guess I'll add those.

Comment 4 David Woodhouse 2007-03-28 00:00:14 UTC
I'll abuse this rather than opening a new bug... please could we add the
Ethernet driver fec_mpc52xx.ko too?


fec_mpc52xx
        eth
        "Motorola MPC52xx on-chip Ethernet"

Comment 5 David Woodhouse 2007-03-31 01:05:08 UTC
And, while we're at it...

ps3_storage
        scsi_hostadapter
        "PlayStation 3 internal storage"

gelic_net
        eth
        "PlayStation 3 Gigabit Ethernet"

Comment 6 David Cantrell 2007-04-02 14:53:53 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.